# Uses of Class
org.snpeff.snpEffect.VariantEffects

Packages that use VariantEffects
Package
Description
org.snpeff.interval
org.snpeff.interval.codonChange
org.snpeff.snpEffect

## Uses of VariantEffects in org.snpeff.interval

Methods in org.snpeff.interval with parameters of type VariantEffects
Modifier and Type
Method
Description
`boolean`
Custom.`variantEffect(Variant variant, VariantEffects changeEffecs)`
`boolean`
Downstream.`variantEffect(Variant variant, VariantEffects variantEffects)`
`boolean`
Exon.`variantEffect(Variant variant, VariantEffects variantEffects)`
Note: This only adds spliceSites effects, for detailed codon changes effects we use 'CodonChange' class
`boolean`
Gene.`variantEffect(Variant variant, VariantEffects variantEffects)`
Get some details about the effect on this gene
`boolean`
Intron.`variantEffect(Variant variant, VariantEffects variantEffects)`
`boolean`
Marker.`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant
`boolean`
MicroRnaBindingSite.`variantEffect(Variant variant, VariantEffects changeEffects)`
`boolean`
Motif.`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant
`boolean`
NextProt.`variantEffect(Variant variant, VariantEffects variantEffects)`
`boolean`
ProteinInteractionLocus.`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant
`boolean`
ProteinProteinInteractionLocus.`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant
`boolean`
Regulation.`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant
`boolean`
SpliceSite.`variantEffect(Variant variant, VariantEffects variantEffects)`
`boolean`
Transcript.`variantEffect(Variant variant, VariantEffects variantEffects)`
Get some details about the effect on this transcript
`boolean`
Upstream.`variantEffect(Variant variant, VariantEffects variantEffects)`
`boolean`
Utr3prime.`variantEffect(Variant variant, VariantEffects variantEffects)`
`boolean`
Utr5prime.`variantEffect(Variant variant, VariantEffects variantEffects)`
`protected void`
Gene.`variantEffectGene(Variant variant, VariantEffects variantEffects)`
Add gene-specific annotations
`boolean`
Marker.`variantEffectNonRef(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant

## Uses of VariantEffects in org.snpeff.interval.codonChange

Methods in org.snpeff.interval.codonChange with parameters of type VariantEffects
Modifier and Type
Method
Description
`static CodonChange`
CodonChange.`factory(Variant variant, Transcript transcript, VariantEffects variantEffects)`
Create a specific codon change for a variant
Constructors in org.snpeff.interval.codonChange with parameters of type VariantEffects
Modifier
Constructor
Description
`protected`
`CodonChange(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeDel(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeDup(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeIns(Variant variant, Transcript transcript, VariantEffects changeEffects)`
``
`CodonChangeInterval(Variant variant, Transcript transcript, VariantEffects varEffects)`
``
`CodonChangeInv(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeMixed(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeMnp(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeSnp(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeStructural(Variant variant, Transcript transcript, VariantEffects variantEffects)`

## Uses of VariantEffects in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect that return VariantEffects
Modifier and Type
Method
Description
`VariantEffects`
SnpEffectPredictor.`variantEffect(Variant variant)`
Predict the effect of a variant
Methods in org.snpeff.snpEffect with parameters of type VariantEffects
Modifier and Type
Method
Description
`protected void`
SnpEffectPredictor.`variantEffect(Variant variant, VariantEffects variantEffects, Markers intersects)`
Calculate variant effect for each marker in 'intersect'
`void`
ProteinFastaWriter.`write(Variant var, VariantEffects variantEffects)`
Append ALT protein sequence to fasta protein file